Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Interface Publishable

All Known Implementing Classes:
  ClassInvocationDescriptor, RoleUserMap, TemplateInfo, XMLEntityInfoHelper, EventKeyInfo, EJBInvocationDescriptor, UserInfo, BusinessCalendarInfo, RoleInfo, TemplateDefinitionInfo, RepositoryFolderInfoHelper, OrganizationInfo

public interface Publishable
extends PublishableConstants

Describes objects that can be included in a workflow application package.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class com.bea.wlpi.common.PublishableConstants
`BUSINESS_CALENDAR, BUSINESS_CALENDAR_KEY, BUSINESS_OPERATION, BUSINESS_OPERATION_KEY, EVENT_KEY, EVENT_KEY_KEY, ORG, ORG_KEY, ROLE, ROLE_KEY, ROLE_USER_MAP, ROLE_USER_MAP_KEY, TEMPLATE, TEMPLATE_DEFINITION, TEMPLATE_DEFINITION_KEY, TEMPLATE_KEY, USER, USER_KEY, XML_REPOSITORY_ENTITY, XML_REPOSITORY_ENTITY_KEY, XML_REPOSITORY_FOLDER, XML_REPOSITORY_FOLDER_KEY`

Method Summary
`java.lang.Object` | `getContents()` Return the publishable content.
`java.lang.String` | `getEntryName()` Return the display name for the publishable object.
`java.lang.String` | `getOwnerName()` Return the name of the object's owner.
`java.util.List` | `getReferencedPublishables(java.util.Map publishables)` Gets all referenced publishables based on the specified publishables map object.
`int` | `getType()` Return the type of publishable object.
`boolean` | `isPublished()` Return whether the object is published.
`void` | `publish()` Set the published status of the object.

Method Detail

### getContents

    public java.lang.Object getContents()

  Return the publishable content.

  Returns:
    A serializable object.

### getEntryName

    public java.lang.String getEntryName()

  Return the display name for the publishable object.

  Returns:
    Display name.

### getType

    public int getType()

  Return the type of publishable object.

  Returns:
    Publishable object type: `PublishableConstants.TEMPLATE`, `PublishableConstants.TEMPLATE_DEFINITION`, `PublishableConstants.BUSINESS_OPERATION`, `PublishableConstants.BUSINESS_CALENDAR`, `PublishableConstants.USER`, `PublishableConstants.ROLE`, `PublishableConstants.ORG`, `PublishableConstants.XML_REPOSITORY_FOLDER`, `PublishableConstants.XML_REPOSITORY_ENTITY`, `PublishableConstants.EVENT_KEY`,

### getOwnerName

    public java.lang.String getOwnerName()

  Return the name of the object's owner.

  Returns:
    The object's owner, if any.

### isPublished

    public boolean isPublished()

  Return whether the object is published. Published objects cannot be modified.

  Returns:
    `true` if the object is published.
  See Also:
    `publish()`

### getReferencedPublishables

    public java.util.List getReferencedPublishables(java.util.Map publishables)

  Gets all referenced publishables based on the specified publishables map object.

  Parameters:
    `publishables` - Superset of all publishable objects to select from.
  Returns:
    List of these publishables which are referenced by this object.

### publish

    public void publish()

  Set the published status of the object. Published objects cannot be modified. This call may be used by programmatic clients when preparing to call `com.bea.wlpi.server.admin.Admin#publishPackage`.

  Since:
    WebLogic Integration 7.0
  See Also:
    `isPublished()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)